Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-chart
Wallet - Net Worth Chart
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-chart \
  --header 'Authorization: Bearer <token>'
{
  "currentTimestamp": "2025-07-31T23:59:59.000Z",
  "history": [
    {
      "netWorth": "13210463.21",
      "netWorthChange": "1971274.94",
      "netWorthChangePercent": "17.54",
      "timestamp": "2025-07-30T23:59:59.000Z"
    }
  ],
  "pastTimestamp": "2025-07-01T23:59:59.000Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

hours
integer<int32>
default:24

DTO.WALLET.NET_WORTH_CHART.HOURS (1-720, default 24)

Response

200 - application/json

Successful response

Wallet net-worth chart response with pagination.

currentTimestamp
string
required
Example:

"2025-07-31T23:59:59.000Z"

history
object[]
required
pastTimestamp
string
required
Example:

"2025-07-01T23:59:59.000Z"

walletAddress
string
required
Example:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"